# Merge Request

## Description

<!--
Add a short description for the proposal in case there is no related issue.
-->

## Assignee Checklist

The assignee can be anybody in the project and is the responsible person for
preparing the merge request. Normally, it is the person assigned to the
corresponding issue.

- [ ] Have you read the [contribution guidelines](CONTRIBUTING.md)?
- [ ] Is the relevant literature in the FWDC literature database?
- [ ] Is the header documentation (sphinx) up-to-date?
- [ ] Remove `Draft|WIP` from title once you are finished.
- [ ] Suggest a reviewer for your merge request.

## Reviewer Checklist

A reviewer can be anybody in the project. A person with maintainer permissions
would be recommended.

- [ ] Is the documentation for the implementation understandable?
- [ ] Are there related issues, merge requests, branches that are outdated?
- [ ] Are all discussions resolved by commits or follow-up issues?

## Merge Checklist

Only maintainers are allowed to merge. In case neither assignee nor reviewer
have the permission to merge, ask a maintainer after successful review.

- [ ] Did all reviewers approve the merge request?
- [ ] Squash commits together, and add a valid git trailer for generating
      CHANGELOG.md. Select a suitable category for your contribution in the
      changelog. The default category is `features`, possible alternatices are
      `bugfix`, `ci`, `doc`, `misc`, `openfoam`, `deploy`, `post-processing`,
      and `testing`. The commit message should have the following form:

```shell
Descriptive Title for Contribution

Some more information

Changelog: features
```

- [ ] Are all related issues closed after successful merge?

## Related Issues
