## 1.1.2 (2024-09-24)

### Bugfixes

- Restrict configuration for logging to this package and avoid configuring root logger

### Documentation

- Remove dangerous hint for deadsnake repository for older python versions

### Deployment

- Remove some minor left-overs for Conda packaging

## 1.1.1 (2024-09-17)

### Bugfixes

- Raise required python version for Snakemake and mpydocker

### Deployment

- Add an argument to mpypublish to specify package version number directly,...

## 1.1.0 (2024-09-17)

### Bugfixes

- Fix regular expression for changelog generation

### Continuous Delivery and Continuous Deployment

- Fix remaining wrong path to ci include files in infrastructure project
- Adjust path for ci includes due to renaming in infrastructure project

### Miscellaneous

- Update Snakemake version to >= 8.19.3

## 1.0.1 (2024-08-16)

### Continuous Delivery and Continuous Deployment

- Simplify tag pattern for release management
- Check for too large files and tailing whitespaces in pre-commit hook
- Ignore rules directory for static code checks

### Features

- Add script to update a code publication in Rodare

### Deployment

- Remove all conda related information and implementation due to unclear license
- Automated release pipeline with deployment for Rodare

## 1.0.0 (2024-08-15)

### Continuous Delivery and Continuous Deployment

- Simplify tag pattern for release management
- Check for too large files and tailing whitespaces in pre-commit hook
- Ignore rules directory for static code checks

### Features

- Add script to update a code publication in Rodare

## 0.12.0 (2024-08-02)

### Bugfixes

- Move validation job for citation.cff to infrastructure

### Documentation

- Enhance documentation for mpyshrun to avoid ambiguous command line arguments

### Features

- Add function to calculate derivatives for data files to mpypost
- Add configuration for git hooks to be enabled with pre-commit
- Function to read and write dictionaries from OpenFOAM Foundation software
- Add CITATION.cff for releases in Rodare

## 0.11.1 (2024-07-24)

### Bugfixes

- Add missing categories to changelog configuration

### Miscellaneous

- Use --foo and -f style for arguments of all scripts

## 0.11.0 (2024-07-19)

### Continuous Delivery and Continuous Deployment

- Add installation test for ubuntu 22.04 and 24.04

### features

- New utility for post-processing of simulation data

### deploy

- Adjust dockerfiles for installation test to install for user instead of global

## 0.10.3 (2024-07-16)

### Bugfixes

- The default suffix argument value has to be a empty list of strings

## 0.10.2 (2024-07-16)

### Bugfixes

- Calculate a defined value for Pearson coefficient in case of flat profile

## 0.10.1 (2024-07-16)

### Bugfixes

- Fix wrong argument type for suffix command line option

### Documentation

- Fix spelling mistakes and exclude changelog from static code checks
- Add installation instructions for Ubuntu 24.04 and older Ubuntu systems

### Miscellaneous

- Re-factoring handling of arguments for scripts

## 0.10.0 (2024-07-13)

### Documentation

- Fix typo in script name

### Miscellaneous

- Add conda build dir to ignore list

### deploy

- Update dependencies for conda
- Install custom branch for scikit-fuzzy to make it compatible with python 3.12
- Generate changelog and release notes

### testing

- Use echo instead of ls to be more general for testing mpyshrun

### features

- Implement reader for probe files produced by OpenFOAM Foundation software
- New tool to run shell commands on an OpenFOAM case named mpyshrun
